package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicCategoryIndex {
    public static final String SOCIETYDEVELOPINDEX = "社会发展指数";
    public static final String PUBLICSECURITYINDEX = "公共安全指数";
    public static final String SOCIETYSERVCIEINDEX = "社会服务指数";
    public static final String ECOLOGICALENVIRONMENTINDEX = "生态环境指数";
    public static final String DENIZENHAPPINESSINDEX = "居民幸福指数";
    public static final String TRAFFICCONGESTION = "交通拥堵指数";
    public static final String CULTURETRAVELINDEX = "文化旅游指数";
    public static final String RESIDENTSERVICEINDEX = "居民服务指数";
    public static final String SOCIETYSECURITYINDEX = "社会安全指数";


    private static DicCategoryIndex instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicCategoryIndex(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SOCIETYDEVELOPINDEX , SOCIETYDEVELOPINDEX );
        dicMap.put(PUBLICSECURITYINDEX, PUBLICSECURITYINDEX);
        dicMap.put(ECOLOGICALENVIRONMENTINDEX, ECOLOGICALENVIRONMENTINDEX);
        dicMap.put(SOCIETYSERVCIEINDEX, SOCIETYSERVCIEINDEX);
        dicMap.put(DENIZENHAPPINESSINDEX, DENIZENHAPPINESSINDEX);
        dicMap.put(TRAFFICCONGESTION, TRAFFICCONGESTION);
        dicMap.put(CULTURETRAVELINDEX, CULTURETRAVELINDEX);
        dicMap.put(RESIDENTSERVICEINDEX, RESIDENTSERVICEINDEX);
        dicMap.put(SOCIETYSECURITYINDEX, SOCIETYSECURITYINDEX);
    }

    public static DicCategoryIndex getInstacne(){
        if (instance == null)
        {
            instance = new DicCategoryIndex();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
